kfifo_put
Prev | kfifo interface | Next

## Name

kfifo_put — puts some data into the FIFO

## Synopsis

`unsigned int kfifo_put (` | struct kfifo * | fifo,
| unsigned char * | buffer,
| unsigned int | len`)`;

## Arguments

`fifo`

  the fifo to be used.

`buffer`

  the data to be added.

`len`

  the length of the data to be added.

## Description

This function copies at most `len` bytes from the `buffer` into the FIFO depending on the free space, and returns the number of bytes copied.

Prev | Up | Next
kfifo_reset | Home | kfifo_get